Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class AcceptedTemporaryAbsenceType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AcceptedTemporaryAbsenceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class AcceptedTemporaryAbsenceType extends Object implements Serializable
Aanvaarde tijdelijke afwezigheid

Java class for AcceptedTemporaryAbsenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AcceptedTemporaryAbsenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TemporaryAbsenceVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <element name="TemporaryAbsenceStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="TemporaryAbsenceEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcceptedTemporaryAbsenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getTemporaryAbsenceEndTime()`
  Eindtijd tijdelijke afwezigheid
  `Instant`
  `getTemporaryAbsenceStartTime()`
  Begintijd tijdelijke afwezigheid
  `String`
  `getTemporaryAbsenceVSBReference()`
  Unieke identificatie van de aanvaarde tijdelijke afwezigheid
  `void`
  `setTemporaryAbsenceEndTime(Instant value)`
  Sets the value of the temporaryAbsenceEndTime property.
  `void`
  `setTemporaryAbsenceStartTime(Instant value)`
  Sets the value of the temporaryAbsenceStartTime property.
  `void`
  `setTemporaryAbsenceVSBReference(String value)`
  Sets the value of the temporaryAbsenceVSBReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcceptedTemporaryAbsenceType

    public AcceptedTemporaryAbsenceType()

- ## Method Details

  - ### getTemporaryAbsenceVSBReference

    public String getTemporaryAbsenceVSBReference()
    Unieke identificatie van de aanvaarde tijdelijke afwezigheid
    Returns:
      possible object is `String`

  - ### setTemporaryAbsenceVSBReference

    public void setTemporaryAbsenceVSBReference(String value)
    Sets the value of the temporaryAbsenceVSBReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTemporaryAbsenceVSBReference()`

  - ### getTemporaryAbsenceStartTime

    public Instant getTemporaryAbsenceStartTime()
    Begintijd tijdelijke afwezigheid
    Returns:
      possible object is `String`

  - ### setTemporaryAbsenceStartTime

    public void setTemporaryAbsenceStartTime(Instant value)
    Sets the value of the temporaryAbsenceStartTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTemporaryAbsenceStartTime()`

  - ### getTemporaryAbsenceEndTime

    public Instant getTemporaryAbsenceEndTime()
    Eindtijd tijdelijke afwezigheid
    Returns:
      possible object is `String`

  - ### setTemporaryAbsenceEndTime

    public void setTemporaryAbsenceEndTime(Instant value)
    Sets the value of the temporaryAbsenceEndTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTemporaryAbsenceEndTime()`